package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(cloud_teacher_free_course):
 */
public class CloudTeacherFreeCourse {

	/**  */
	private Long id;
	
	/** 课程编号 */
	private Long courseId;

	private Long calenderId;
	
	/** 课程成本 */
	private java.math.BigDecimal cost;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public Long getCalenderId() {
		return calenderId;
	}

	public void setCalenderId(Long calenderId) {
		this.calenderId = calenderId;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setCourseId(Long courseId){
		this.courseId = courseId;
	}
	
	public Long getCourseId(){
		return this.courseId;
	}

	public void setCost(java.math.BigDecimal cost){
		this.cost = cost;
	}
	
	public java.math.BigDecimal getCost(){
		return this.cost;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
